Option Strict Off
Option Explicit On
Imports System.Runtime.InteropServices


Module AppAnalyse_API
	' Remote.AppAnalyze
	' Copyright 2001 F.Reid
	' last update 10/9/01
	' WWW.WEBTROPY.COM
	Public Declare Function GetWindow Lib "user32.dll" (ByVal hWnd As Integer, ByVal wCmd As Integer) As Integer
	Public Declare Function GetDesktopWindow Lib "user32.dll" () As Integer
	'UPGRADE_WARNING: Structure RECT may require marshalling attributes to be passed as an argument in this Declare statement. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="C429C3A5-5D47-4CD9-8F51-74A1616405DC"'
	Public Declare Function GetWindowRect Lib "user32.dll" (ByVal hWnd As Integer, ByRef lpRect As RECT) As Integer
	'UPGRADE_ISSUE: Declaring a parameter 'As Any' is not supported. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="FAE78A8D-8978-4FD4-8208-5B7324A8F795"'
	'UPGRADE_ISSUE: Declaring a parameter 'As Any' is not supported. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="FAE78A8D-8978-4FD4-8208-5B7324A8F795"'
    <DllImport("user32.dll", SetLastError:=True, CharSet:=CharSet.Auto)> _
   Function SendMessage( _
        ByVal hWnd As HandleRef, _
        ByVal Msg As UInteger, _
        ByVal wParam As IntPtr, _
        ByVal lParam As IntPtr) As IntPtr
    End Function

	Public Const GW_HWNDFIRST As Short = 0 'The highest window in the Z-order having the same parent as the given window.
	Public Const GW_HWNDLAST As Short = 1 'The lowest window in the Z-order having the same parent as the given window.
	Public Const GW_HWNDNEXT As Short = 2 'The window below the given window in the Z-order.
	Public Const GW_HWNDPREV As Short = 3 'The window above the given window in the Z-order.
	Public Const GW_OWNER As Short = 4 'The window that owns the given window (not to be confused with the parent window).
	Public Const GW_CHILD As Short = 5 'The topmost of the given window's child windows. This has the same effect as using the GetTopWindow function.
	Public Const WM_GETTEXT As Integer = &HD ' Get Window text
	Public Const WM_GETTEXTLENGTH As Integer = &HE ' Get the length of window text
	Public Structure RECT
		'UPGRADE_NOTE: left was upgraded to left_Renamed. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="A9E4979A-37FA-4718-9994-97DD76ED70A7"'
		Dim left_Renamed As Integer
		Dim top As Integer
		'UPGRADE_NOTE: right was upgraded to right_Renamed. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="A9E4979A-37FA-4718-9994-97DD76ED70A7"'
		Dim right_Renamed As Integer
		Dim bottom As Integer
	End Structure
End Module