Attribute VB_Name = "XMlRoutines"
Public Function findMatch(XMlobject As IXMLDOMNode, soughtText) As Collection
 ' passed an XML object & a window Text to search for
 ' returns a collection of numbers corresponding
 ' to the position at which the windows appear in the
 ' xml
 Dim leaf As IXMLDOMNode
 Dim ReturnValue As New Collection
 For Each branch In XMlobject.childNodes
  If branch.nodeName = "window" Then
   branchcount = branchcount + 1
   For Each leaf In branch.childNodes
    If leaf.nodeName = "Text" And _
       InStr(1, leaf.Text, soughtText, vbTextCompare) Then
     ReturnValue.Add branchcount
     Exit For
    End If
   Next
  End If
 Next
 Set findMatch = ReturnValue
End Function
Public Function GetPath(XMlobject As IXMLDOMNode, path) As IXMLDOMNode
 ' passed an xml oject and a string path in the format
 ' n1\n2\n3\n4...
 ' the function returns a new xml object corresponding
 ' to the n2th grandchild of the n1th child of the XML Object
 Dim navigatingXML As IXMLDOMNode
 Set navigatingXML = XMlobject
 pathSteps = Split(path, "\")
 For steps = 0 To UBound(pathSteps)
  Set navigatingXML = navigatingXML.firstChild
  For sidestep = 1 To pathSteps(steps)
   Set navigatingXML = navigatingXML.nextSibling
   If navigatingXML.nodeName <> "window" Then
    sidestep = sidestep - 1
   End If
  Next
 Next
 Set GetPath = navigatingXML
End Function
Public Function GetProperty(XMlobject As IXMLDOMNode, property)
 ' returns the text of a child node of the named by property
 Dim childNode As IXMLDOMNode
 For Each childNode In XMlobject.childNodes
  If childNode.nodeName = property Then
   GetProperty = childNode.Text
   Exit For
  End If
 Next
End Function
