VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.3#0"; "COMCTL32.OCX"
Begin VB.UserControl AppAnalyse 
   ClientHeight    =   3390
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   3390
   ScaleHeight     =   3390
   ScaleWidth      =   3390
   ToolboxBitmap   =   "AppAnalyse.ctx":0000
   Begin ComctlLib.TreeView TreeView 
      Height          =   3375
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   3375
      _ExtentX        =   5953
      _ExtentY        =   5953
      _Version        =   327682
      Style           =   7
      Appearance      =   1
   End
End
Attribute VB_Name = "AppAnalyse"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
' Remote.AppAnalyze
' Copyright 2001 F.Reid
' last update 10/9/01
' WWW.WEBTROPY.COM

Public XmlObject As DOMDocument
Private Sub UserControl_Initialize()
 Set XmlObject = New DOMDocument
 refresh
End Sub
Private Sub UserControl_Resize()
 TreeView.Width = UserControl.Width
 TreeView.Height = UserControl.Height
End Sub
Public Sub refresh()
 
 Dim XMLRootElement As IXMLDOMElement
 Dim XMLRoot As IXMLDOMNode
 Dim XMLChildElement As IXMLDOMElement
 Dim XMLChild As IXMLDOMNode
 Dim XMLGrandChildElement As IXMLDOMElement
 Dim XMLGrandChild As IXMLDOMNode
 Dim XMLNodeWindowWidth As IXMLDOMElement
 Dim XMLNodeWindowHeigth As IXMLDOMElement
 Dim XMLNodeWindowLeft As IXMLDOMElement
 Dim XMLNodeWindowTop As IXMLDOMElement
 Dim XMLNodeWindowText As IXMLDOMElement
 Dim Parent As IXMLDOMNode
 
 DesktopHwnd = GetDesktopWindow()
 childHwnd = GetWindow(DesktopHwnd, GW_CHILD)
 TreeView.Nodes.Clear
 Set XMLRootElement = XmlObject.createElement("window")
 Set XMLRoot = XmlObject.appendChild(XMLRootElement)
 AppendAnalysis XMLRoot, DesktopHwnd
 recurseChildren XMLRoot, childHwnd, DesktopHwnd
End Sub
Private Function recurseChildren(XMLParent As IXMLDOMNode, childHwnd, parentHwnd)
 Dim XMLChildElement As IXMLDOMElement
 Dim XMLChild As IXMLDOMNode
 ZCount = 1
 Do
   If childHwnd = 0 Then Exit Function
   Set XMLChildElement = XmlObject.createElement("window")
   Set XMLChild = XMLParent.appendChild(XMLChildElement)
   AppendAnalysis XMLChild, childHwnd, parentHwnd, ZCount
   ZCount = ZCount + 1
   grandChildHwnd = GetWindow(childHwnd, GW_CHILD)
   recurseChildren XMLChild, grandChildHwnd, childHwnd
   childHwnd = GetWindow(childHwnd, GW_HWNDNEXT)
 Loop
End Function
Private Function AppendAnalysis(Parent As IXMLDOMNode, childHwnd, Optional parentHwnd, Optional ZCount)
 Dim WindowRect As RECT
 Dim wintext As String  ' receives the copied text from the target window
 Dim slength As Long  ' length of the window text
 Dim retval As Long  ' return value of message

 Set XMLNodeWindowWidth = XmlObject.createElement("Width")
 Set XMLNodeWindowHeigth = XmlObject.createElement("Heigth")
 Set XMLNodeWindowLeft = XmlObject.createElement("Left")
 Set XMLNodeWindowTop = XmlObject.createElement("Top")
 Set XMLNodeWindowText = XmlObject.createElement("Text")
 
 GetWindowRect childHwnd, WindowRect
 
 XMLNodeWindowWidth.Text = WindowRect.right - WindowRect.left
 XMLNodeWindowHeigth.Text = WindowRect.bottom - WindowRect.top
 XMLNodeWindowLeft.Text = WindowRect.left
 XMLNodeWindowTop.Text = WindowRect.top
 
 slength = SendMessage(childHwnd, WM_GETTEXTLENGTH, ByVal CLng(0), ByVal CLng(0)) + 1
 wintext = Space(slength)
 retval = SendMessage(childHwnd, WM_GETTEXT, ByVal slength, ByVal wintext)
 
 XMLNodeWindowText.Text = left(wintext, retval)
  
 Parent.appendChild XMLNodeWindowWidth
 Parent.appendChild XMLNodeWindowHeigth
 Parent.appendChild XMLNodeWindowLeft
 Parent.appendChild XMLNodeWindowTop
 Parent.appendChild XMLNodeWindowText
  
 If IsMissing(parentHwnd) Then
  TreeView.Nodes.Add , , "#" & childHwnd, "desktop"
 Else
  If XMLNodeWindowText.Text = "" Then
   Description = "#" & ZCount
  Else
   Description = XMLNodeWindowText.Text
  End If
  TreeView.Nodes.Add "#" & parentHwnd, tvwChild, "#" & childHwnd, Description
 End If

End Function
