Option Strict Off
Option Explicit On
Imports VB = Microsoft.VisualBasic
<System.Runtime.InteropServices.ProgId("AppAnalyse_NET.AppAnalyse")> Public Class AppAnalyse
	Inherits System.Windows.Forms.UserControl
	' Remote.AppAnalyze
	' Copyright 2001 F.Reid
	' last update 10/9/01
	' WWW.WEBTROPY.COM
	
	Public XmlObject As MSXML.DOMDocument
	Private Sub UserControl_Initialize()
		XmlObject = New MSXML.DOMDocument
		refresh()
	End Sub
	Private Sub AppAnalyse_Resize(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Resize
		TreeView.Width = MyBase.Width
		TreeView.Height = MyBase.Height
	End Sub
	Public Overrides Sub refresh()
		Dim childHwnd As Object
		Dim DesktopHwnd As Object
		
		Dim XMLRootElement As MSXML.IXMLDOMElement
		Dim XMLRoot As MSXML.IXMLDOMNode
		Dim XMLChildElement As MSXML.IXMLDOMElement
		Dim XMLChild As MSXML.IXMLDOMNode
		Dim XMLGrandChildElement As MSXML.IXMLDOMElement
		Dim XMLGrandChild As MSXML.IXMLDOMNode
		Dim XMLNodeWindowWidth As MSXML.IXMLDOMElement
		Dim XMLNodeWindowHeigth As MSXML.IXMLDOMElement
		Dim XMLNodeWindowLeft As MSXML.IXMLDOMElement
		Dim XMLNodeWindowTop As MSXML.IXMLDOMElement
		Dim XMLNodeWindowText As MSXML.IXMLDOMElement
		'UPGRADE_NOTE: Parent was upgraded to Parent_Renamed. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="A9E4979A-37FA-4718-9994-97DD76ED70A7"'
		Dim Parent_Renamed As MSXML.IXMLDOMNode
		
		'UPGRADE_WARNING: Couldn't resolve default property of object DesktopHwnd. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		DesktopHwnd = GetDesktopWindow()
		'UPGRADE_WARNING: Couldn't resolve default property of object DesktopHwnd. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		'UPGRADE_WARNING: Couldn't resolve default property of object childHwnd. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		childHwnd = GetWindow(DesktopHwnd, GW_CHILD)
		TreeView.Nodes.Clear()
		XMLRootElement = XmlObject.createElement("window")
		'UPGRADE_WARNING: Couldn't resolve default property of object XMLRootElement. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		XMLRoot = XmlObject.appendChild(XMLRootElement)
		AppendAnalysis(XMLRoot, DesktopHwnd)
		recurseChildren(XMLRoot, childHwnd, DesktopHwnd)
	End Sub
	Private Function recurseChildren(ByRef XMLParent As MSXML.IXMLDOMNode, ByRef childHwnd As Object, ByRef parentHwnd As Object) As Object
		Dim grandChildHwnd As Object
		Dim ZCount As Object
		Dim XMLChildElement As MSXML.IXMLDOMElement
		Dim XMLChild As MSXML.IXMLDOMNode
		'UPGRADE_WARNING: Couldn't resolve default property of object ZCount. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		ZCount = 1
		Do 
			'UPGRADE_WARNING: Couldn't resolve default property of object childHwnd. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
			If childHwnd = 0 Then Exit Function
			XMLChildElement = XmlObject.createElement("window")
			'UPGRADE_WARNING: Couldn't resolve default property of object XMLChildElement. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
			XMLChild = XMLParent.appendChild(XMLChildElement)
			AppendAnalysis(XMLChild, childHwnd, parentHwnd, ZCount)
			'UPGRADE_WARNING: Couldn't resolve default property of object ZCount. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
			ZCount = ZCount + 1
			'UPGRADE_WARNING: Couldn't resolve default property of object childHwnd. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
			'UPGRADE_WARNING: Couldn't resolve default property of object grandChildHwnd. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
			grandChildHwnd = GetWindow(childHwnd, GW_CHILD)
			recurseChildren(XMLChild, grandChildHwnd, childHwnd)
			'UPGRADE_WARNING: Couldn't resolve default property of object childHwnd. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
			childHwnd = GetWindow(childHwnd, GW_HWNDNEXT)
		Loop 
	End Function
	'UPGRADE_NOTE: Parent was upgraded to Parent_Renamed. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="A9E4979A-37FA-4718-9994-97DD76ED70A7"'
	Private Function AppendAnalysis(ByRef Parent_Renamed As MSXML.IXMLDOMNode, ByRef childHwnd As Object, Optional ByRef parentHwnd As Object = Nothing, Optional ByRef ZCount As Object = Nothing) As Object
		Dim Description As Object
		Dim XMLNodeWindowText As Object
		Dim XMLNodeWindowTop As Object
		Dim XMLNodeWindowLeft As Object
		Dim XMLNodeWindowHeigth As Object
		Dim XMLNodeWindowWidth As Object
		Dim WindowRect As RECT
		Dim wintext As String ' receives the copied text from the target window
		Dim slength As Integer ' length of the window text
		Dim retval As Integer ' return value of message
		
		XMLNodeWindowWidth = XmlObject.createElement("Width")
		XMLNodeWindowHeigth = XmlObject.createElement("Heigth")
		XMLNodeWindowLeft = XmlObject.createElement("Left")
		XMLNodeWindowTop = XmlObject.createElement("Top")
		XMLNodeWindowText = XmlObject.createElement("Text")
		
		'UPGRADE_WARNING: Couldn't resolve default property of object childHwnd. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		GetWindowRect(childHwnd, WindowRect)
		
		'UPGRADE_WARNING: Couldn't resolve default property of object XMLNodeWindowWidth.Text. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		XMLNodeWindowWidth.Text = WindowRect.right_Renamed - WindowRect.left_Renamed
		'UPGRADE_WARNING: Couldn't resolve default property of object XMLNodeWindowHeigth.Text. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		XMLNodeWindowHeigth.Text = WindowRect.bottom - WindowRect.top
		'UPGRADE_WARNING: Couldn't resolve default property of object XMLNodeWindowLeft.Text. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		XMLNodeWindowLeft.Text = WindowRect.left_Renamed
		'UPGRADE_WARNING: Couldn't resolve default property of object XMLNodeWindowTop.Text. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		XMLNodeWindowTop.Text = WindowRect.top
		
		'UPGRADE_WARNING: Couldn't resolve default property of object childHwnd. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
        slength = SendMessage(childHwnd, WM_GETTEXTLENGTH, CInt(0), CInt(0))
        wintext = Space(slength + 1)
		'UPGRADE_WARNING: Couldn't resolve default property of object childHwnd. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		retval = SendMessage(childHwnd, WM_GETTEXT, slength, wintext)
		
		'UPGRADE_WARNING: Couldn't resolve default property of object XMLNodeWindowText.Text. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		XMLNodeWindowText.Text = VB.Left(wintext, retval)
		
		'UPGRADE_WARNING: Couldn't resolve default property of object XMLNodeWindowWidth. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		Parent_Renamed.appendChild(XMLNodeWindowWidth)
		'UPGRADE_WARNING: Couldn't resolve default property of object XMLNodeWindowHeigth. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		Parent_Renamed.appendChild(XMLNodeWindowHeigth)
		'UPGRADE_WARNING: Couldn't resolve default property of object XMLNodeWindowLeft. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		Parent_Renamed.appendChild(XMLNodeWindowLeft)
		'UPGRADE_WARNING: Couldn't resolve default property of object XMLNodeWindowTop. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		Parent_Renamed.appendChild(XMLNodeWindowTop)
		'UPGRADE_WARNING: Couldn't resolve default property of object XMLNodeWindowText. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
		Parent_Renamed.appendChild(XMLNodeWindowText)
		
		'UPGRADE_NOTE: IsMissing() was changed to IsNothing(). Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="8AE1CB93-37AB-439A-A4FF-BE3B6760BB23"'
		If IsNothing(parentHwnd) Then
			'UPGRADE_WARNING: Couldn't resolve default property of object childHwnd. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
			TreeView.Nodes.Add( ,  , "#" & childHwnd, "desktop")
		Else
			'UPGRADE_WARNING: Couldn't resolve default property of object XMLNodeWindowText.Text. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
			If XMLNodeWindowText.Text = "" Then
				'UPGRADE_WARNING: Couldn't resolve default property of object ZCount. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
				'UPGRADE_WARNING: Couldn't resolve default property of object Description. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
				Description = "#" & ZCount
			Else
				'UPGRADE_WARNING: Couldn't resolve default property of object XMLNodeWindowText.Text. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
				'UPGRADE_WARNING: Couldn't resolve default property of object Description. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
				Description = XMLNodeWindowText.Text
			End If
			'UPGRADE_WARNING: Couldn't resolve default property of object childHwnd. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
			'UPGRADE_WARNING: Couldn't resolve default property of object parentHwnd. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
			TreeView.Nodes.Add("#" & parentHwnd, ComctlLib.TreeRelationshipConstants.tvwChild, "#" & childHwnd, Description)
		End If
		
	End Function
End Class